# Ice::DNSException

## Overview

### local exception DNSException

This exception indicates a DNS problem. For details on the cause, error should be inspected.

## Data Members

int error;

  The error number describing the DNS problem. For C++ and Unix, this is equivalent to `h_errno`. For C++ and Windows, this is the value returned by `WSAGetLastError()`.

string host;

  The host name that could not be resolved.